Skip to content

Update a git repo

PUT
/git-repos/{id}

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*
Type
string
Required

Request Body

application/json
JSON
{
  
"name": "string",
  
"repo_url": "string",
  
"branch": "string",
  
"auth_token": "string",
  
"sync_interval": 0,
  
"enabled": true,
  
"sync_mode": "string",
  
"notes_path": "string",
  
"memories_path": "string",
  
"sync_path": "string",
  
"trash_on_delete": true,
  
"commit_sync_enabled": true,
  
"commit_history_days": 0
}

Responses

OK

application/json
JSON
{
  
"repo": {
  
  
"_id": "string",
  
  
"project": "string",
  
  
"name": "string",
  
  
"repo_url": "string",
  
  
"branch": "string",
  
  
"auth_token": "string",
  
  
"sync_interval": 0,
  
  
"enabled": true,
  
  
"sync_mode": "string",
  
  
"notes_path": "string",
  
  
"memories_path": "string",
  
  
"sync_path": "string",
  
  
"trash_on_delete": true,
  
  
"commit_sync_enabled": true,
  
  
"commit_history_days": 0,
  
  
"last_commit_synced_at": "string",
  
  
"last_commit_sha": "string",
  
  
"last_sync_status": "string",
  
  
"last_synced_at": "string",
  
  
"last_sync_error": "string",
  
  
"last_sync_summary": {
  
  
  
"imported_files": 0,
  
  
  
"exported_files": 0,
  
  
  
"trashed_items": 0,
  
  
  
"imported_commits": 0,
  
  
  
"conflicts": 0,
  
  
  
"skipped": 0,
  
  
  
"started_at": "string",
  
  
  
"finished_at": "string",
  
  
  
"duration_ms": 0,
  
  
  
"message": "string"
  
  
},
  
  
"sync_runs": [
  
  
  
{
  
  
  
}
  
  
],
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI